Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IXP425 ATM Types (IxAtmTypes) The common set of types used in many Atm components. More...
## Data Structures
struct | IxAtmScheduleTable
| This structure defines a schedule table which gives details on which data (from which VCs) should be transmitted for a forthcoming period of time for a particular port and the order in which that data should be transmitted. More...
struct | IxAtmScheduleTableEntry
| ATM Schedule Table entry. More...
struct | IxAtmTrafficDescriptor
| Structure describing an ATM traffic contract for a Virtual Connection (VC). More...
## Defines
#define | IX_ATM_CELL_PAYLOAD_SIZE
| Size of a ATM cell payload.
#define | IX_ATM_CELL_SIZE
| Size of a ATM cell, including header.
#define | IX_ATM_CELL_SIZE_NO_HEC
| Size of a ATM cell, excluding HEC byte.
#define | IX_ATM_OAM_CELL_SIZE_NO_HEC
| Size of a OAM cell, excluding HEC byte.
#define | IX_ATM_AAL0_48_CELL_PAYLOAD_SIZE
| Size of a AAL0 48 Cell payload.
#define | IX_ATM_AAL5_CELL_PAYLOAD_SIZE
| Size of a AAL5 Cell payload.
#define | IX_ATM_AAL0_52_CELL_SIZE_NO_HEC
| Size of a AAL0 52 Cell, excluding HEC byte.
#define | IX_ATM_MAX_VPI
| Maximum value of an ATM VPI.
#define | IX_ATM_MAX_VCI
| Maximum value of an ATM VCI.
#define | IX_ATM_MAX_NUM_AAL_VCS
| Maximum number of active AAL5/AAL0 VCs in the system.
#define | IX_ATM_MAX_NUM_VC
| Maximum number of active AAL5/AAL0 VCs in the system The use of this macro is depreciated, it is retained for backward compatiblity. For current software release and beyond the define IX_ATM_MAX_NUM_AAL_VC should be used.
#define | IX_ATM_MAX_NUM_OAM_TX_VCS
| Maximum number of active OAM Tx VCs in the system, 1 OAM VC per port.
#define | IX_ATM_MAX_NUM_OAM_RX_VCS
| Maximum number of active OAM Rx VCs in the system, 1 OAM VC shared accross all ports.
#define | IX_ATM_MAX_NUM_AAL_OAM_TX_VCS
| Maximum number of active AAL5/AAL0/OAM Tx VCs in the system.
#define | IX_ATM_MAX_NUM_AAL_OAM_RX_VCS
| Maximum number of active AAL5/AAL0/OAM Rx VCs in the system.
#define | IX_ATM_IDLE_CELLS_CONNID
| VC Id used to indicate idle cells in the returned schedule table.
#define | IX_ATM_CELL_HEADER_VCI_GET(cellHeader)
| get the VCI field from a cell header
#define | IX_ATM_CELL_HEADER_VPI_GET(cellHeader)
| get the VPI field from a cell header
#define | IX_ATM_CELL_HEADER_PTI_GET(cellHeader)
| get the PTI field from a cell header
## Typedefs
typedef unsigned int | IxAtmCellHeader
| ATM Cell Header, does not contain 4 byte HEC, added by NPE-A.
typedef unsigned int | IxAtmConnId
| ATM VC data connection identifier.
typedef int | IxAtmSchedulerVcId
| ATM VC scheduling connection identifier.
typedef unsigned int | IxAtmNpeRxVcId
| ATM Rx VC identifier used by the ATM Npe.
## Enumerations
enum | IxAtmLogicalPort { IX_UTOPIA_PORT_0, IX_UTOPIA_PORT_1, IX_UTOPIA_PORT_2, IX_UTOPIA_PORT_3, IX_UTOPIA_PORT_4, IX_UTOPIA_PORT_5, IX_UTOPIA_PORT_6, IX_UTOPIA_PORT_7, IX_UTOPIA_PORT_8, IX_UTOPIA_PORT_9, IX_UTOPIA_PORT_10, IX_UTOPIA_PORT_11, IX_UTOPIA_MAX_PORTS }
| Logical Port Definitions :. More...
enum | IxAtmServiceCategory { IX_ATM_CBR, IX_ATM_RTVBR, IX_ATM_VBR, IX_ATM_UBR, IX_ATM_ABR }
| Enumerated type representing available ATM service categories. For more informatoin on these categories, see "Traffic Management Specification" v4.1, published by the ATM Forum - http://www.atmforum.com. More...
enum | IxAtmRxQueueId { IX_ATM_RX_A, IX_ATM_RX_B, IX_ATM_MAX_RX_STREAMS }
| Rx Queue Type for RX traffic. More...
## Detailed Description The common set of types used in many Atm components. ## Define Documentation
#define IX_ATM_AAL0_48_CELL_PAYLOAD_SIZE
| Size of a AAL0 48 Cell payload. Definition at line 121 of file IxAtmTypes.h.
#define IX_ATM_AAL0_52_CELL_SIZE_NO_HEC
| Size of a AAL0 52 Cell, excluding HEC byte. Definition at line 133 of file IxAtmTypes.h.
#define IX_ATM_AAL5_CELL_PAYLOAD_SIZE
| Size of a AAL5 Cell payload. Definition at line 127 of file IxAtmTypes.h.
#define IX_ATM_CELL_HEADER_PTI_GET | ( | cellHeader |  | ) |
| get the PTI field from a cell header Definition at line 216 of file IxAtmTypes.h.
#define IX_ATM_CELL_HEADER_VCI_GET | ( | cellHeader |  | ) |
| get the VCI field from a cell header Definition at line 202 of file IxAtmTypes.h.
#define IX_ATM_CELL_HEADER_VPI_GET | ( | cellHeader |  | ) |
| get the VPI field from a cell header Definition at line 209 of file IxAtmTypes.h.
#define IX_ATM_CELL_PAYLOAD_SIZE
| Size of a ATM cell payload. Definition at line 97 of file IxAtmTypes.h.
#define IX_ATM_CELL_SIZE
| Size of a ATM cell, including header. Definition at line 103 of file IxAtmTypes.h.
#define IX_ATM_CELL_SIZE_NO_HEC
| Size of a ATM cell, excluding HEC byte. Definition at line 109 of file IxAtmTypes.h.
#define IX_ATM_IDLE_CELLS_CONNID
| VC Id used to indicate idle cells in the returned schedule table. Definition at line 195 of file IxAtmTypes.h.
#define IX_ATM_MAX_NUM_AAL_OAM_RX_VCS
| Maximum number of active AAL5/AAL0/OAM Rx VCs in the system. Definition at line 189 of file IxAtmTypes.h.
#define IX_ATM_MAX_NUM_AAL_OAM_TX_VCS
| Maximum number of active AAL5/AAL0/OAM Tx VCs in the system. Definition at line 183 of file IxAtmTypes.h.
#define IX_ATM_MAX_NUM_AAL_VCS
| Maximum number of active AAL5/AAL0 VCs in the system. Definition at line 152 of file IxAtmTypes.h.
#define IX_ATM_MAX_NUM_OAM_RX_VCS
| Maximum number of active OAM Rx VCs in the system, 1 OAM VC shared accross all ports. Definition at line 177 of file IxAtmTypes.h.
#define IX_ATM_MAX_NUM_OAM_TX_VCS
| Maximum number of active OAM Tx VCs in the system, 1 OAM VC per port. Definition at line 170 of file IxAtmTypes.h.
#define IX_ATM_MAX_NUM_VC
| Maximum number of active AAL5/AAL0 VCs in the system The use of this macro is depreciated, it is retained for backward compatiblity. For current software release and beyond the define IX_ATM_MAX_NUM_AAL_VC should be used. Definition at line 161 of file IxAtmTypes.h.
#define IX_ATM_MAX_VCI
| Maximum value of an ATM VCI. Definition at line 146 of file IxAtmTypes.h.
#define IX_ATM_MAX_VPI
| Maximum value of an ATM VPI. Definition at line 140 of file IxAtmTypes.h.
#define IX_ATM_OAM_CELL_SIZE_NO_HEC
| Size of a OAM cell, excluding HEC byte. Definition at line 115 of file IxAtmTypes.h.
## Typedef Documentation
IxAtmCellHeader
| ATM Cell Header, does not contain 4 byte HEC, added by NPE-A. Definition at line 224 of file IxAtmTypes.h.
IxAtmConnId
| ATM VC data connection identifier. This is is generated by IxAtmdAcc when a successful connection is made on a VC. The is the ID by which IxAtmdAcc knows an active VC and should be used in IxAtmdAcc API calls to reference a specific VC. Definition at line 312 of file IxAtmTypes.h.
IxAtmNpeRxVcId
| ATM Rx VC identifier used by the ATM Npe. This Id is generated by IxAtmdAcc when a successful data connection is made on a rx VC. Definition at line 336 of file IxAtmTypes.h.
IxAtmSchedulerVcId
| ATM VC scheduling connection identifier. This id is generated and used by ATM Tx controller, generally the traffic shaper (e.g. IxAtmSch). The IxAtmdAcc component will request one of these Ids whenever a data connection on a Tx VC is requested. This ID will be used in callbacks to the ATM Transmission Ctrl s/w (e.g. IxAtmm) to reference a particular VC. Definition at line 326 of file IxAtmTypes.h.
## Enumeration Type Documentation
enum IxAtmLogicalPort
  | Logical Port Definitions :. Only 1 port is available in SPHY configuration 12 ports are enabled in MPHY configuration Enumeration values:
  IX_UTOPIA_PORT_0 | Port 0.
  IX_UTOPIA_PORT_1 | Port 1.
  IX_UTOPIA_PORT_2 | Port 2.
  IX_UTOPIA_PORT_3 | Port 3.
  IX_UTOPIA_PORT_4 | Port 4.
  IX_UTOPIA_PORT_5 | Port 5.
  IX_UTOPIA_PORT_6 | Port 6.
  IX_UTOPIA_PORT_7 | Port 7.
  IX_UTOPIA_PORT_8 | Port 8.
  IX_UTOPIA_PORT_9 | Port 9.
  IX_UTOPIA_PORT_10 | Port 10.
  IX_UTOPIA_PORT_11 | Port 11.
  IX_UTOPIA_MAX_PORTS | Not a port - just a definition for the maximum possible ports.
Definition at line 72 of file IxAtmTypes.h.
enum IxAtmRxQueueId
  | Rx Queue Type for RX traffic. IxAtmRxQueueId defines the queues involved for receiving data. There are two queues to facilitate prioritisation handling and processing the 2 queues with different algorithms and constraints e.g. : one queue can carry voice (or time-critical traffic), the other queue can carry non-voice traffic Enumeration values:
  IX_ATM_RX_A | RX queue A.
  IX_ATM_RX_B | RX queue B.
  IX_ATM_MAX_RX_STREAMS | Maximum number of RX streams.
Definition at line 261 of file IxAtmTypes.h.
enum IxAtmServiceCategory
  | Enumerated type representing available ATM service categories. For more informatoin on these categories, see "Traffic Management Specification" v4.1, published by the ATM Forum - http://www.atmforum.com. Enumeration values:
  IX_ATM_CBR | Constant Bit Rate.
  IX_ATM_RTVBR | Real Time Variable Bit Rate.
  IX_ATM_VBR | Variable Bit Rate.
  IX_ATM_UBR | Unspecified Bit Rate.
  IX_ATM_ABR | Available Bit Rate (not supported).
Definition at line 235 of file IxAtmTypes.h.
Automatically generated from sources. © Intel Corp. 2003